import { IHostAuthenticatorApi } from "./IHostAuthenticatorApi";
import { AccountType, UserSignInStatus } from "./externalApiTypes";
export declare function getHostAuthenticatorApiV2(): Promise<IHostAuthenticatorApi | null>;
export declare function getHostAuthenticatorApiV3(): Promise<IHostAuthenticatorApi | null>;
export declare function getHostAuthenticatorApiV4(): Promise<IHostAuthenticatorApi | null>;
export declare function getHostAuthenticatorApiV5(): Promise<IHostAuthenticatorApi | null>;
export declare function getHostAuthenticatorApi(version: number): Promise<IHostAuthenticatorApi | null>;
export declare function getDefaultAccountAuthority(): Promise<string>;
export declare function setSignInStatus(signinStatus: UserSignInStatus): Promise<void>;
export declare function getDefaultAccountType(): Promise<AccountType>;
export declare function getSignInStatus(): Promise<UserSignInStatus>;
export declare function addNewAccountAsync(): Promise<void>;
export declare function getIsAccountAvailable(): Promise<boolean>;
export declare function addIdentityStatusChangedEventListener(identityStatusChanged: () => any): Promise<void>;
export declare function removeIdentityStatusChangedEventListener(identityStatusChanged: () => any): Promise<void>;
export declare function addReauthRequiredStatusChangedEventListener(reauthRequiredStatusChanged: () => any): Promise<void>;
export declare function removeReauthRequiredStatusChangedEventListener(reauthRequiredStatusChanged: () => any): Promise<void>;
